Gocator API

- Home
- Categories
- Types
- Files

All Classes Files Functions Variables Typedefs Macros Groups Pages
Public Member Functions
GoSurfaceRegion2d Class Reference
Surface

## Description

Represents a two dimensional surface tool region.

Inherits kObject.

## Public Member Functions
k64f | GoSurfaceRegion2d_Length (GoSurfaceRegion2d region)
| Gets the length. More...
kStatus | GoSurfaceRegion2d_SetLength (GoSurfaceRegion2d region, k64f length)
| Sets the length. More...
kStatus | GoSurfaceRegion2d_SetWidth (GoSurfaceRegion2d region, k64f width)
| Sets the width. More...
kStatus | GoSurfaceRegion2d_SetX (GoSurfaceRegion2d region, k64f x)
| Sets the X position. More...
kStatus | GoSurfaceRegion2d_SetY (GoSurfaceRegion2d region, k64f value)
| Sets the Y position. More...
k64f | GoSurfaceRegion2d_Width (GoSurfaceRegion2d region)
| Gets the width. More...
k64f | GoSurfaceRegion2d_X (GoSurfaceRegion2d region)
| Gets the X position. More...
k64f | GoSurfaceRegion2d_Y (GoSurfaceRegion2d region)
| Gets the Y position. More...

## Member Function Documentation

k64f GoSurfaceRegion2d_Length | ( | GoSurfaceRegion2d | region | ) |

Gets the length.

Parameters

  region | GoSurfaceRegion2d object.

Returns
  The length of the region.

kStatus GoSurfaceRegion2d_SetLength | ( | GoSurfaceRegion2d | region,
|  | k64f | length
| ) |  |

Sets the length.

Parameters

  region | GoSurfaceRegion2d object.
  length | The length to set.

Returns
  Operation status.

kStatus GoSurfaceRegion2d_SetWidth | ( | GoSurfaceRegion2d | region,
|  | k64f | width
| ) |  |

Sets the width.

Parameters

  region | GoSurfaceRegion2d object.
  width | The width to set.

Returns
  Operation status.

kStatus GoSurfaceRegion2d_SetX | ( | GoSurfaceRegion2d | region,
|  | k64f | x
| ) |  |

Sets the X position.

Parameters

  region | GoSurfaceRegion2d object.
  x | The X position to set.

Returns
  Operation status.

kStatus GoSurfaceRegion2d_SetY | ( | GoSurfaceRegion2d | region,
|  | k64f | value
| ) |  |

Sets the Y position.

Parameters

  region | GoSurfaceRegion2d object.
  value | The Y position to set.

Returns
  Operation status.

k64f GoSurfaceRegion2d_Width | ( | GoSurfaceRegion2d | region | ) |

Gets the width.

Parameters

  region | GoSurfaceRegion2d object.

Returns
  The width of the region.

k64f GoSurfaceRegion2d_X | ( | GoSurfaceRegion2d | region | ) |

Gets the X position.

Parameters

  region | GoSurfaceRegion2d object.

Returns
  The X position of the region.

k64f GoSurfaceRegion2d_Y | ( | GoSurfaceRegion2d | region | ) |

Gets the Y position.

Parameters

  region | GoSurfaceRegion2d object.

Returns
  The Y position of the region.

The documentation for this class was generated from the following file:

- Tools/GoSurfaceTools.h